package com.usky.system.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.system.domain.SysMobileTenantConfig;
import com.usky.system.service.SysMobileTenantConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 移动端_租户配置表 前端控制器
 * </p>
 *
 * @author JCB
 * @since 2022-08-09
 */
@RestController
@RequestMapping("/sysMobileTenantConfig")
public class SysMobileTenantConfigController {

    @Autowired
    private SysMobileTenantConfigService sysMobileTenantConfigService;

    /**
     * 移动端-登录配置查询
     * @param url 域名
     * @return
     */
    @GetMapping("/getMobileTenantConfig")
    public ApiResult<List<SysMobileTenantConfig>> getMobileTenantConfig(@RequestParam String url) {
        return ApiResult.success(sysMobileTenantConfigService.getMobileTenantConfig(url));
    }

}

