package com.usky.system.service;

import com.usky.system.domain.SysMobileTenantConfig;
import com.usky.common.mybatis.core.CrudService;

import java.util.List;

/**
 * <p>
 * 移动端_租户配置表 服务类
 * </p>
 *
 * @author JCB
 * @since 2022-08-09
 */
public interface SysMobileTenantConfigService extends CrudService<SysMobileTenantConfig> {
    /**
     * 移动端-登录配置查询
     * @param url 域名
     * @return
     */
    List<SysMobileTenantConfig> getMobileTenantConfig(String url);
}
