package com.usky.system.service.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 租户和菜单关联表
 * </p>
 *
 * @author zyj
 * @since 2023-02-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class MobileTenantMenuVO {

    private static final long serialVersionUID=1L;

    /**
     * 租户ID
     */
    private Long tenantId;

    /**
     * 菜单ID
     */
    private Long[] menuIds;
}
