package com.usky.system.service.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 租户和菜单关联表
 * </p>
 *
 * @author ya
 * @since 2022-05-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PlatformMenuVo implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 平台ID
     */
    private Long platformId;

    /**
     * 平台名称
     */
    private String platformName;

    /**
     * 菜单ID
     */
    private Long[] menuIds;

}
