package com.usky.system.domain;

import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 移动端_平台和菜单关联表
 * </p>
 *
 * @author JCB
 * @since 2023-02-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class SysMobilePlatformMenu implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 平台ID
     */
    private Integer platformId;

    /**
     * 菜单ID
     */
    private Integer menuId;


}
