package com.usky.system.service.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;


/**
 *
 * 
 * @author yq
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysMenuOneVo implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 菜单ID */
    private Long id;

    /** 菜单名称 */
    private String menu;

    /** 子菜单名称 */
    private Object authority;

    private Long fid;

    /**
     * 菜单状态
     */
    private Boolean checked;
}
