package com.usky.system.service.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 租户配置表
 * </p>
 *
 * @author ya
 * @since 2022-05-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysTenantConfigVo implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 租户ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 租户ID
     */
    private Integer tenantId;

    /**
     * 租户名称
     */
    private String loginTitle;

    /**
     * 登录页log
     */
    private String loginLogo;

    /**
     * 登录页背景地址
     */
    private String loginBackUrl;

    /**
     * 登录页底部名称
     */
    private String loginFooter;

    /**
     * 登录类型
     */
    private String loginType;

    /**
     * 标签页图标
     */
    private String labelIcon;

}