package com.usky.common.log.service;//package com.ruoyi.common.log.service;

import com.usky.system.RemoteLogService;
import com.usky.system.domain.SysOperLogVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

/**
 * 异步调用日志服务
 *
 * @author ruoyi
 */
@Service
public class AsyncLogService
{
    @Autowired
    private RemoteLogService remoteLogService;

    /**
     * 保存系统日志记录
     */
    @Async
    public void saveSysLog(SysOperLogVO sysOperLog)
    {
        remoteLogService.saveLog(sysOperLog);
    }
}
